استخدم CometAPI GET /mj/task//fetch لاسترجاع حالة مهمة Midjourney واحدة بسرعة وموثوقية لأغراض المراقبة واستطلاع النتائج.
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}status لمعرفة الحالة العامة للمهمةprogress لمؤشر الإكمال الحاليimageUrl أو videoUrl عندما يصبح الأصل جاهزًاbuttons لمعرفة قيم customId التالية المتاحةSUCCESS أو MODAL أو FAILUREbuttons المصدر المعتمد لإجراءات المتابعةimageUrl عندما تحتاج إلى الشبكة النهائية أو نتيجة الارتقاء بالجودةSUCCESS وprogress: 100% وimageUrl و9 أزرار إجراءات لمهمة FAST imagine.Bearer token authentication. Use your CometAPI key.
Midjourney task id.
Current task state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}